@charset "utf-8";

/*
 * UNPC style css for Fudousan Plugin Gutenberg
 * Version: 7.0.0
*/


/* Variables
-------------------------------------------------------------- */
:root {

	/* Header Menu color */
	--fudou--menu-background-color: #1a1a1a;
	--fudou--menu-text-color: #fff;

	/* table_border_color */
	--fudou--table-border-color: #d1d1d1;
	--fudou--table-background-color: #f6f6f6;

	/* widget_border_color */
	--fudou--widget-border-color: #d1d1d1;

	/* select/input border color */
	--fudou--select-input-border-color: #d1d1d1;

	/* Submit Button color */
	--fudou--button-background-color: #1a1a1a;
	--fudou--button-text-color: #fff;
	--fudou--button-background-hover-color: #fff;
	--fudou--button-text-hover-color: #000;

	/* kakaku color */
	--fudou--bukken-kakaku-color: #a82000;

	/* new mark color */
	--fudou--new-mark-background-color: #a82000;
	/* up mark color */
	--fudou--up-mark-background-color: #a82000;

	/* box-shadowr */
	--fudou--box-shadow-color: 6px 6px 9px rgba(0, 0, 0, 0.2);
}



/* admin widget */
	.wp-block[data-type="core/widget-area"] {
		max-width: 874px;
	}

	.blocks-widgets-container .editor-styles-wrapper {
		max-width: none;
	}






/* font-family 
-------------------------------------------------------------- */
	body.block-editor-page .editor-post-title__input,
	body.block-editor-page .editor-block-list__block{
		font-family: -apple-system, BlinkMacSystemFont, "Helvetica Neue", "Segoe UI","Noto Sans Japanese","ヒラギノ角ゴ ProN W3", Meiryo, sans-serif !important;
	}


/* font-size
-------------------------------------------------------------- */

/* three-column font-size:16px */
	body.block-editor-page.three-column .editor-block-list__block{
		font-size: 16px;
	}
	body.block-editor-page.three-column .edit-post-visual-editor p:not(.wp-block-cover-text){
		font-size: 16px;
	}
/* two-column font-size:18px */
	body.block-editor-page.two-column .editor-block-list__block{
		font-size: 18px;
	}
	body.block-editor-page.two-column .edit-post-visual-editor p:not(.wp-block-cover-text){
		font-size: 18px;
	}


	/* blockquote だけ font-size をGutenberg標準に戻す */
	body.block-editor-page.three-column .wp-block-pullquote blockquote > .block-library-pullquote__content .editor-rich-text__tinymce[data-is-empty="true"]:before,
	body.block-editor-page.three-column .wp-block-pullquote blockquote > .editor-rich-text p{
		font-size: 24px !important;
	}
	body.block-editor-page.three-column .wp-block-pullquote__citation,
	body.block-editor-page.three-column .wp-block-pullquote cite,
	body.block-editor-page.three-column .wp-block-pullquote footer{
		font-size: 13px;
	}



	/* メインタイトル 装飾  */
	body.block-editor-page .editor-post-title__block textarea {
		border-bottom: 1px dotted #ccc !important;
		border-left: 3px solid #666 !important;
	/*	border-top: 1px dotted #ccc !important; */
		font-size: 1.4rem !important;
		margin: 0 0 20px !important;
		padding: 7px 0 7px 10px !important;
	}


	/* タイトル幅合わせ Fix 5.4～ */
	body.block-editor-page .editor-post-title__block > div{
		margin-left: 0;
		margin-right: 0;
	}


	/* ブロック内 タイトル  */

	/* Content WordPress6.4 */
	.editor-styles-wrapper h1{
		font-size: 1.4rem;
		border-bottom: solid 3px #ccc;
		position: relative;
		margin: 0 0 40px;
		padding: 0px 0 10px 0;
	}

	/* Content WordPress6.4 */
	.editor-styles-wrapper h1:after{
		position: absolute;
		content: " ";
		display: block;
		border-bottom: solid 3px #000;
		bottom: -3px;
		line-height: 0;
		width: 20%;
	}

	/* Content WordPress6.4 */
	.editor-styles-wrapper h2{
		border-bottom: 1px dotted #ccc;
		border-left: 3px solid #666;
		font-size: 1.4rem;
		padding: 7px 0 7px 10px;
		margin-top: 50px;
		margin-bottom: 20px;
		box-sizing: border-box;
	}

	.editor-styles-wrapper h3 {
		border: none !important;
		font-size: 1.2rem !important;
		margin-top: 30px !important;
		padding: 5px 0 5px 0 !important;
	}
	.editor-styles-wrapper h3:before {
		content: '◎';
		font-size: 1.2rem !important;
	}



	/* WordPress5.9 */
	.editor-styles-wrapper .wp-block-legacy-widget__edit-no-preview h3{
		margin: 0 0 0.5em !important;
	}

/* two-column */

	/* メインカラム 2カラム 840px */

	/* Content WordPress5.4 ～ */
	body.block-editor-page.two-column .wp-block:not(.block-editor-block-list__block){
		max-width: 840px;
		max-height: none;

		/* 6.3.0 */
		margin-left: auto !important;
		margin-right: auto !important;
	}

	/* メインカラム full-width-page 1200px */

	/* Content WordPress5.4～ */
	/* Content WordPress6.3～ */
	body.block-editor-page.two-column.full-width-page .wp-block{
	/*	max-width: 1200px !important; */
		max-height: none !important;
	}


	/* メインカラム Pro物件ページ 1200px */

	/* Content WordPress5.4～ */
	body.block-editor-page.two-column.post-type-fudo.fudou_pro .wp-block{
		max-width: 1200px !important;
		max-height: none !important;
	}



	/* 条件検索 */
	body.block-editor-page.two-column  table.form_jsearch label,
	body.block-editor-page.two-column  table.form_jsearch,
	body.block-editor-page.two-column  table.form_jsearch th,
	body.block-editor-page.two-column  table.form_jsearch td {
		font-size: 18px;
	}


/* three-column */


	/* メインカラム 3カラム 650px */
	/* Content WordPress5.4～ */
	body.block-editor-page.three-column .wp-block{
		max-width: 650px !important;
		max-height: none !important;
		/* 6.3.0 */
		margin-left: auto !important;
		margin-right: auto !important;
	}
	/* Content WordPress～5.3 */
	body.branch-5.block-editor-page.three-column .wp-block,
	body.branch-5-1.block-editor-page.three-column .wp-block,
	body.branch-5-2.block-editor-page.three-column .wp-block,
	body.branch-5-3.block-editor-page.three-column .wp-block{
		max-width: 680px !important;	/* 650 + 30 */
		max-height: none !important;
	}


	/* メインカラム full-width-page 1200px */
	/* Content WordPress5.4～ */
	body.block-editor-page.three-column.full-width-page .wp-block{
	/*	max-width: 1200px !important; */
		max-height: none !important;
	}
	/* Content WordPress～5.3 */
	body.branch-5.block-editor-page.three-column.full-width-page .wp-block,
	body.branch-5-1.block-editor-page.three-column.full-width-page .wp-block,
	body.branch-5-2.block-editor-page.three-column.full-width-page .wp-block,
	body.branch-5-3.block-editor-page.three-column.full-width-page .wp-block{
		max-width: 1230px !important;	/* 1200 + 30 */
		max-height: none !important;
	}


	/* メインカラム Pro物件ページ 1200px */

	/* Content WordPress5.4～ */
	body.block-editor-page.three-column.post-type-fudo.fudou_pro .wp-block{
		max-width: 1200px !important;
		max-height: none !important;
	}



	/* Content WordPress～5.3 */
	body.branch-5.block-editor-page.three-column.post-type-fudo.fudou_pro .wp-block,
	body.branch-5-1.block-editor-page.three-column.post-type-fudo.fudou_pro .wp-block,
	body.branch-5-2.block-editor-page.three-column.post-type-fudo.fudou_pro .wp-block,
	body.branch-5-3.block-editor-page.three-column.post-type-fudo.fudou_pro .wp-block{
		max-width: 1230px !important;	/* 1200 + 30 */
		max-height: none !important;
	}



/* Pro full-width-page v6.3.0～ */

	body.block-editor-page.three-column.post-type-fudo.fudou_pro .wp-block{
		max-width: 650px !important;
	}
	body.block-editor-page.two-column.post-type-fudo.fudou_pro .wp-block{
		max-width: 840px !important;
	}
	body.block-editor-page.post-type-fudo.fudou_pro .wp-block.wp-block-post-title{
		max-width: 1200px !important;
	}


/* full-width-page align-full v5.9.0 */
	body.block-editor-page.fudou_pro.post-type-fudo .wp-block[data-align="full"],
	body.block-editor-page.full-width-page .wp-block[data-align="full"]{
		max-width: none !important;
	}

/* full-width-page align-wide v5.9.0 */
	body.block-editor-page.fudou_pro.post-type-fudo .wp-block[data-align="wide"],
	body.block-editor-page.full-width-page .wp-block[data-align="wide"]{
		max-width: 1200px!important;
	}

	/* 設定サイドバー無し */
	@media screen and (max-width: 1420px) {
		body.block-editor-page.fudou_pro.post-type-fudo div:not(.is-sidebar-opened) .wp-block[data-align="wide"],
		body.block-editor-page.full-width-page div:not(.is-sidebar-opened) .wp-block[data-align="wide"]{
			max-width: 1200px !important;
			margin-right: auto;
			margin-left: auto;
		}
	}

	/* 設定サイドバー有り */
	@media screen and (max-width: 1700px) {
		body.block-editor-page.fudou_pro.post-type-fudo div.is-sidebar-opened .wp-block[data-align="wide"],
		body.block-editor-page.full-width-page div.is-sidebar-opened .wp-block[data-align="wide"]{
			max-width: 1200px !important;
			margin-right: auto;
			margin-left: auto;
		}
	}

	/* wp-block-group Fix  v5.9.0 */
	body.block-editor-page.fudou_pro.post-type-fudo .wp-block-group__inner-container .wp-block,
	body.block-editor-page.full-width-page .wp-block-group__inner-container .wp-block{
		max-width: none !important;
		margin-right: auto;
		margin-left: auto;
	}

	/* 入れ子ブロック Fix  v5.9.0 */
	body.block-editor-page.fudou_pro.post-type-fudo .wp-block[data-align="full"]  .wp-block,
	body.block-editor-page.fudou_pro.post-type-fudo .wp-block[data-align="wide"]  .wp-block,

	body.block-editor-page.full-width-page .wp-block-columns .wp-block,
	body.block-editor-page.full-width-page .wp-block[data-align="full"]  .wp-block,
	body.block-editor-page.full-width-page .wp-block[data-align="wide"]  .wp-block{
		max-width: none !important;
		margin-right: auto;
		margin-left: auto;
	}




/* 条件検索 */
	body.block-editor-page.three-column  table.form_jsearch label,
	body.block-editor-page.three-column  table.form_jsearch,
	body.block-editor-page.three-column  table.form_jsearch th,
	body.block-editor-page.three-column  table.form_jsearch td {
		font-size: 14px;
	}



/* 全幅 未使用時 Fix */
	body.block-editor-page .editor-block-list__layout .editor-block-list__block[data-align="full"]{
		margin-left: auto !important;
		margin-right: auto !important;
	}
	.editor-block-list__layout .editor-block-list__block[data-align="full"] > .editor-block-list__block-edit{
		margin-left: -28px !important;
		margin-right: -28px !important;
	}

	/* WordPress5.4 */
	body.block-editor-page .block-editor-block-list__layout .block-editor-block-list__block[data-align="full"]{
		margin-left: auto !important;
		margin-right: auto !important;
	}



/* line-height Fix 1.8->1.6 */
	body.block-editor-page .editor-rich-text__tinymce.mce-content-body{
		line-height: 1.6;
	}



/* user agent stylesheet Fix */
	figure {
		margin: 0;
	}


/* コードエディタ */
	body.block-editor-page .edit-post-text-editor{
		width: 100%;
	}


/* カバー画像内 文字位置 IE11 */
	.wp-block-cover, .wp-block-cover-image{
		height: 430px;
	}


/* リスト 調整 */
.editor-styles-wrapper .block-library-list ol,
.editor-styles-wrapper .block-library-list ul{
	list-style-type: disc;
	margin-left: 0;
	padding-left: 1.3em;
}
/* リスト 調整 5.4 */
.block-editor-block-list__block ul{
	padding-left: 0 !important;
}


/* ウィジェット */
#twitter_update_list,
#toukou_top {
	border-color: #d1d1d1 !important;
}


/*  = ボタン
---------------------------------------------------------------------- */

.editor-styles-wrapper input[type="button"] ,
.editor-styles-wrapper input[type="submit"] {
	border-radius: 3px !important;
	box-sizing: border-box !important;
	letter-spacing: 0.09em;
	padding: 5px 10px !important;
	text-align: center;
	border: 1px solid #000;
	background-color: var(--global--button-background-color) !important;
	color: var(--global--button-text-color) !important;

	font-size: 16px;
}

.editor-styles-wrapper input[type="button"]:hover,
.editor-styles-wrapper input[type="submit"]:hover {
	background-color: var(--global--button-background-hover-color) !important;
	color: var(--global--button-text-hover-color) !important;
}


.editor-styles-wrapper input[type="submit"][disabled] {
	background: #dcdcdc !important;
	border: 1px solid #dcdcdc !important;
	cursor: not-allowed !important;
}

.editor-styles-wrapper input[type="submit"][disabled]:hover {
	background: #dcdcdc !important;
	color: var(--global--button-text-color) !important;
}


/* スライダーブロックサイズ Fix */
body.block-editor-page.full-width-page div.wp-block-fudou-block-slider .swiper-wrapper > div.block-list-appender,
body.block-editor-page.full-width-page div.wp-block-fudou-block-slider .swiper-wrapper > div.wp-block-cover,
body.block-editor-page.full-width-page div.wp-block-fudou-block-slider .swiper-wrapper > div.wp-block-group,
body.block-editor-page.full-width-page div.wp-block-fudou-block-slider .swiper-wrapper > figure.wp-block-image,
body.block-editor-page.full-width-page div.wp-block-fudou-block-slider .swiper-wrapper > div > div > div.block-list-appender,
body.block-editor-page.full-width-page div.wp-block-fudou-block-slider .swiper-wrapper > div > div > div.wp-block-cover,
body.block-editor-page.full-width-page div.wp-block-fudou-block-slider .swiper-wrapper > div > div > div.wp-block-group,
body.block-editor-page.full-width-page div.wp-block-fudou-block-slider .swiper-wrapper > div > div > figure.wp-block-image{
	max-width: 500px !important;
}



/* トップ物件表示 詳細ボタン 下付き 481px 以上 */
@media screen and (min-width: 481px) {

	ul.syousai-content li div:not(.new_mark):not(.up_mark),
	ul.grid-content li div:not(.new_mark):not(.up_mark){
		height: calc( 1em + 40px );
	}

	ul.syousai-content li div > span.box1low ,
	ul.grid-content li div > span.box1low  {
		position: absolute;
		display: block;
		text-align: center;
		border-radius: 3px;
		float: none !important;
		bottom: 9.5px;
		width: calc( 100% - 27px);
		letter-spacing: 0.09em;
		padding: 3px;

		border: 1px solid #d1d1d1;
	}

	ul.syousai-content li div > span.box1low a,
	ul.grid-content li div > span.box1low a {
		display: block;
	/*	color: #fff; */
	}

	ul.syousai-content li div > span.box1low:hover,
	ul.grid-content li div > span.box1low:hover {
	/*	background-color: #1a1a1a; */
	}

	ul.syousai-content li div > span.box1low a:hover,
	ul.grid-content li div > span.box1low a:hover {
		padding: 3px;
		transition: 0.3s;
	/*	color: #fff; */
	}


	/* 会員マーク 右上 */
	ul.grid-content span.fudo_kaiin_type_logo{
		position: absolute;
		top: 9.5px !important;
		right: 9.5px !important;
	}
}

/* 物件ショートコード 詳細ボタン 下付き 625px 以上 */
@media screen and (min-width: 625px) {

	ul.grid-content-s3 li div.top_footer,
	ul.grid-content-s li div.top_footer{
		height: calc( 1em + 40px );
	}

	ul.grid-content-s3 li div > span.box1low-s ,
	ul.grid-content-s li div > span.box1low-s {
		position: absolute;
		display: block;
		text-align: center;
		border-radius: 3px;
		float: none !important;
		bottom: 9.5px;
		width: calc( 100% - 27px);
		letter-spacing: 0.09em;
		padding: 3px;

		border: 1px solid #d1d1d1;
	/*	background-color: #1a1a1a; */
	}

	ul.grid-content-s3 li div > span.box1low-s a ,
	ul.grid-content-s li div > span.box1low-s a {
		display: block;

		color: #000;
		text-decoration: none;
	}

	ul.grid-content-s3 li div > span.box1low-s:hover ,
	ul.grid-content-s li div > span.box1low-s:hover {
	/*	background-color: #1a1a1a; */
	}

	ul.grid-content-s3 li div > span.box1low-s a:hover ,
	ul.grid-content-s li div > span.box1low-s a:hover {
		padding: 3px;
		transition: 0.3s;
		text-decoration: underline;
	/*	color: #fff; */
	}

	/* 会員マーク 右上 */
	ul.grid-content-s3 span.fudo_kaiin_type_logo,
	ul.grid-content-s span.fudo_kaiin_type_logo{
		position: absolute;
		top: 9.5px !important;
		right: 9.5px !important;
	}
}


/*条件検索 項目タイトル v6.8.1*/
.jsearchmap_kakaku,
.jsearchmap_senyu,
.jsearchmap_tochi,
.jsearchmap_tsubotanka,
.jsearchmap_menseki,
.jsearchmap_memseki,
.jsearchmap_madori,
.jsearchmap_setsubi,
.jsearch_chikunen,
.jsearch_roseneki,
.jsearch_chiiki,
.jsearch_hofun,
.jsearch_vip,
.jsearch_kakaku,
.jsearch_senyu,
.jsearch_tochi,
.jsearch_tsubotanka,
.jsearch_menseki,
.jsearch_memseki,
.jsearch_tochi,
.jsearch_setsubi,
.jsearch_madori,
.jsearch_choumei_cb,
.jsearch_categorys,
.jsearch_kouku_shougaku,
.jsearch_kouku_chuugaku,
.jsearch_senyu {
    display: block;
}

:where(.editor-styles-wrapper) .widget_fudo_b_k_bus_m select, :where(.editor-styles-wrapper) .widget_fudo_b_k_bus select, :where(.editor-styles-wrapper) .widget_fudo_b_k_m select, :where(.editor-styles-wrapper) .widget_fudo_b_k select {
    max-width: unset;
}




/* = 投稿表示(最近の記事) トップ content
-------------------------------------------------------------- */
/* リスト表示 */

.toukou_top_post_excerpt:after{
    content: '';
    display: block;
    clear: both;
    height: 0;
}



/* ボックス表示 */

#toukou_top2 {
	clear: both;
	padding: 0;
	width: 100%;
	box-sizing: border-box;

	gap: 15px;
	margin: 0 0 -15px;
}

#toukou_top2 {
	display:-webkit-box;
	display:-moz-box;
	display:-ms-box;
	display:-webkit-flexbox;
	display:-moz-flexbox;
	display:-ms-flexbox;
	display:-webkit-flex;
	display:-moz-flex;
	display:-ms-flex;
	display:flex;
	-webkit-box-lines:multiple;
	-moz-box-lines:multiple;
	-webkit-flex-wrap:wrap;
	-moz-flex-wrap:wrap;
	-ms-flex-wrap:wrap;
	flex-wrap:wrap;
}

#toukou_top2:after {
	clear: both;
	content: '';
	display: block;
	height: 0;
}


#toukou_top2 li {
	border: 1px solid var(--fudou--widget-border-color);
	display: block;
	list-style-type: none;
	margin: 0;
	padding: 9.5px;
	width: calc(33% - 30px);
	box-sizing: content-box;
	font-size: 16px;
}

#toukou_top2 img {
	width: 100%;
	height: auto;
	margin: 0 0 10px;

	aspect-ratio: 4 / 3;
	object-fit: cover;
}
#toukou_top2 .toukou_top_post_modified,
#toukou_top2 .toukou_top_post_date{
	float: right;
	font-size: 14px;
	padding: 0 10px 10px;
}

/* 投稿表示 ボックス表示 1列 599px 以下 */
@media screen and (max-width: 599px) {

	#toukou_top2 li {
		list-style-type: none;
		margin: 0;
		padding: 10px !important;
		width: 100%;
		font-size: 14px;
	}

	#toukou_top2 img {
		width: 100px;
		height: auto;
		float: left;
		padding: 0 10px 0 0;

		aspect-ratio: auto;
		object-fit: inherit;
	}

}

